import { Box, Container, Typography } from "@mui/material";
import React from "react";
import ListItem from "@mui/material/ListItem";
import List from "@mui/material/List";
import axios from "axios";

export async function getStaticProps() {
  const res = await axios.get('https://catfact.ninja/breeds?limit=10');
  return {
    props: { breeds: res.data.data }
  };
}

export default function Breeds({ breeds }) {
  return (
    <Container maxWidth="sm">
      <Box sx={{ my: 4 }}>
        <Typography variant="h4" component="h1">
          Cat Breeds
        </Typography>
        <List sx={{ width: '100%' }}>
          {breeds.map((breed) => (
            <ListItem key={breed.breed} disablePadding>
              <Typography variant="p" component="p">
                {breed.breed} - {breed.country}
              </Typography>
            </ListItem>
          ))}
        </List>
      </Box>
    </Container>
  );
}