import { Box, Container, Typography } from "@mui/material";
import React from "react";
import ListItem from "@mui/material/ListItem";
import List from "@mui/material/List";
import axios from "axios";

export async function getServerSideProps() {
  const res = await axios.get('https://catfact.ninja/facts?limit=3&max_length=120');
  return {
    props: { facts: res.data.data }
  };
}

export default function Cats({ facts }) {
  return (
    <Container maxWidth="sm">
      <Box sx={{ my: 4 }}>
        <Typography variant="h4" component="h1">
          Cat Facts
        </Typography>
        <List sx={{ width: '100%' }}>
          {facts.map((fact) => (
            <ListItem key={fact.fact} disablePadding>
              {fact.fact}
            </ListItem>
          ))}
        </List>
      </Box>
    </Container>
  );
}
